create table rz_market_operate_ppwfund.mo_mailbox_info
(
    id          int auto_increment comment '主键Id'
        primary key,
    type        int null comment '邮箱类型:1-QQ邮箱,2-腾讯企业邮箱,3-网易邮箱,4-新浪邮箱,99-其他',
    email       varchar(255) null comment '邮箱账号',
    password    varchar(255) null comment '邮箱密码',
    protocol    varchar(255) null comment '协议',
    server      varchar(255) null comment '收件服务器',
    port        varchar(255) null comment '端口',
    cron        varchar(255) null comment 'cron表达式',
    open_status int      default 0 null comment '是否开启，0-不开启，1-开启',
    description text null comment '备注信息',
    isvalid     int      default 1 null comment '记录的有效性；1-有效；0-无效；',
    creatorid   int null comment '创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    updaterid   int null comment '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    createtime  datetime default CURRENT_TIMESTAMP null comment '创建时间,默认第一次创建的getdate()时间',
    updatetime  datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同'
) comment '邮箱信息表';

create table rz_market_operate_ppwfund.mo_email_field_mapping
(
    id         int auto_increment comment '主键Id'
        primary key,
    code       varchar(255) null comment '字段编码',
    name       text null comment '字段(多个以英文逗号隔开)',
    type       int null comment '3-定期报告，4-交易流水确认函，0-共用的',
    isvalid    int      default 1 null comment '记录的有效性；1-有效；0-无效；',
    creatorid  int null comment '创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    updaterid  int null comment '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    createtime datetime default CURRENT_TIMESTAMP null comment '创建时间,默认第一次创建的getdate()时间',
    updatetime datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同'
) comment '邮件字段映射表';

create table rz_market_operate_ppwfund.mo_email_file_info
(
    id         int auto_increment comment '主键Id'
        primary key,
    email_id   int                not null comment '邮件id',
    fund_id    int null comment '基金id',
    file_name  varchar(255)       not null comment '附件名称',
    file_path  varchar(1024)      not null comment '附件路径',
    ai_parse   tinyint  default 0 not null comment '是否利用ai工具来解析的',
    ai_file_id varchar(64) null comment 'ai解析时上传的文件id（方便重新解析）',
    isvalid    tinyint  default 1 not null comment '记录的有效性；1-有效；0-无效',
    creatorid  int                not null comment '创建者Id',
    updaterid  int                not null comment '修改者Id',
    createtime datetime default CURRENT_TIMESTAMP null comment '创建时间',
    updatetime datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间'
) comment '邮件附件信息表';

create table rz_market_operate_ppwfund.mo_email_parse_info
(
    id           int auto_increment comment '主键Id'
        primary key,
    sender_email varchar(255) null comment '邮件发送方',
    email        varchar(255) null comment '邮箱地址',
    email_key    varchar(64) null,
    email_date   datetime null comment '邮箱日期',
    parse_date   datetime null comment '解析日期',
    email_title  varchar(255) null comment '邮件主题',
    email_type   int null,
    parse_status int null comment '解析状态',
    fail_reason  text null comment '失败原因',
    isvalid      int      default 1 null comment '记录的有效性；1-有效；0-无效；',
    creatorid    int null comment '创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    updaterid    int null comment '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    createtime   datetime default CURRENT_TIMESTAMP null comment '创建时间,默认第一次创建的getdate()时间',
    updatetime   datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同'
) comment '邮件解析信息表';

create table rz_market_operate_ppwfund.mo_report_base_info
(
    id          int auto_increment comment '主键Id'
        primary key,
    file_id     int not null,
    report_date datetime null comment '报告日期',
    report_name varchar(255) null comment '报告名称',
    report_type varchar(255) null comment '报告类型',
    isvalid     int      default 1 null comment '记录的有效性；1-有效；0-无效；',
    creatorid   int null comment '创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    updaterid   int null comment '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    createtime  datetime default CURRENT_TIMESTAMP null comment '创建时间,默认第一次创建的getdate()时间',
    updatetime  datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同'
) comment '报告基础信息表';

create table rz_market_operate_ppwfund.mo_report_fund_info
(
    id           int auto_increment comment '主键，自动递增'
        primary key,
    file_id      int                not null,
    fund_name    varchar(255) null comment '基金的名称',
    fund_code    varchar(50) null comment '基金的唯一识别代码',
    company_name varchar(255) null comment '基金管理人的名称',
    currency     varchar(20) null comment '基金交易使用的货币种类',
    isvalid      tinyint  default 1 not null comment '记录的有效性；1-有效；0-无效',
    creatorid    int                not null comment '创建者Id',
    updaterid    int                not null comment '修改者Id',
    createtime   datetime default CURRENT_TIMESTAMP null comment '创建时间',
    updatetime   datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间'
) comment '报告解析结果之基金信息表';

create table rz_market_operate_ppwfund.mo_report_investor_info
(
    id                 int auto_increment comment '主键，自动递增'
        primary key,
    file_id            int                not null,
    investor_name      varchar(255) null comment '投资人的姓名',
    investor_type      varchar(50) null comment '投资人的类别（例如：个人、机构）',
    certificate_type   varchar(50) null comment '证件类型（例如：身份证、护照）',
    certificate_number varchar(50) null comment '投资人证件号码',
    fund_account       varchar(50) null comment '基金账户编号',
    trading_account    varchar(50) null comment '投资者交易账号',
    isvalid            tinyint  default 1 not null comment '记录的有效性；1-有效；0-无效',
    creatorid          int                not null comment '创建者Id',
    updaterid          int                not null comment '修改者Id',
    createtime         datetime default CURRENT_TIMESTAMP null comment '创建时间',
    updatetime         datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间'
) comment '报告解析结果之投资者信息表';

create table rz_market_operate_ppwfund.mo_report_fund_transaction
(
    id                        int auto_increment comment '主键Id'
        primary key,
    file_id                   int not null,
    fund_account              varchar(100) null comment '基金账户编号',
    fund_name                 varchar(100) null comment '基金名称',
    distributor               varchar(100) null comment '销售此基金产品的经销商或银行',
    transaction_type          varchar(50) null comment '业务类型（例如：申购、赎回）',
    business_reason           varchar(100) null comment '业务操作的原因或类型说明',
    status                    varchar(50) null comment '交易确认的状态（例如：已确认、待处理等）',
    holding_date              date null comment '交易确认的日期',
    apply_date                date null comment '申请的日期',
    apply_amount              decimal(22, 6) null comment '申请的金额',
    apply_share               decimal(22, 6) null comment '申请的基金份额数量',
    amount                    decimal(22, 6) null comment '确认的金额',
    share                     decimal(22, 6) null comment '确认的基金份额数量',
    net_amount                decimal(22, 6) null comment '净认购/申购的金额，确认净额',
    nav                       decimal(22, 6) null comment '单位净值',
    confirmation_ratio        decimal(22, 6) null comment '确认比例',
    ta_confirmation_number    varchar(100) null comment '交易授权确认编号',
    ta_number                 varchar(100) null comment 'TA代码',
    apply_no                  varchar(100) null comment '申请单号',
    share_balance             decimal(22, 6) null comment '份额余额',
    share_category            varchar(50) null comment '份额类别',
    dividend_type             varchar(50) null comment '分红方式',
    large_redemption_type     varchar(50) null comment '巨额赎回方式',
    reward_mark               varchar(50) null comment '提成或保底标志',
    holding_days              int null comment '持有天数',
    share_registry_date       date null comment '份额明细注册日期',
    fee                       decimal(22, 6) null comment '总费用',
    interest                  decimal(22, 6) null comment '利息',
    interest_to_fund_assets   decimal(22, 6) null comment '利息转份额/利息归基金资产',
    trade_fee                 decimal(22, 6) null comment '交易费',
    default_fee               decimal(22, 6) null comment '违约金',
    performance_fee           decimal(22, 6) null comment '业绩报酬',
    fee_discounts             decimal(22, 6) null comment '费用折扣',
    performance_fee_discounts decimal(22, 6) null comment '业绩报酬折扣',
    dividend_registry_date    date null comment '分红登记日',
    dividend_payment_date     date null comment '红利发放日',
    base_share_dividend       decimal(22, 6) null comment '分红基数份额',
    dividend_mode             varchar(50) null comment '分红模式',
    unit_dividend             decimal(22, 6) null comment '单位分红',
    dividend_per_unit         decimal(22, 6) null comment '每单位分红',
    total_dividend_amount     decimal(22, 6) null comment '红利总额',
    actual_cash_dividend      decimal(22, 6) null comment '实发现金红利',
    frozen_shares             decimal(22, 6) null comment '冻结份额',
    frozen_amount             decimal(22, 6) null comment '冻结金额',
    actual_performance_amount decimal(22, 6) null comment '实际业绩提成金额',
    actual_performance_share  decimal(22, 6) null comment '实际提成份额',
    isvalid                   int      default 1 null comment '记录的有效性；1-有效；0-无效；',
    creatorid                 int null comment '创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    updaterid                 int null comment '修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同',
    createtime                datetime default CURRENT_TIMESTAMP null comment '创建时间,默认第一次创建的getdate()时间',
    updatetime                datetime default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同'
) comment '交易流水表';


CREATE TABLE `mo_report_asset_allocation`
(
    `id`           INT AUTO_INCREMENT                 NOT NULL PRIMARY KEY,
    `file_id`      INT NOT NULL,
    `asset_type`   VARCHAR(255) COMMENT '资产类别',
    `column_name`  VARCHAR(255) COMMENT '统计列名',
    `market_value` DECIMAL(22, 6) COMMENT '金额(元)',
    `remark`       VARCHAR(50) COMMENT '备注',
    `isvalid`      INT      DEFAULT 1 COMMENT '是否有效：0-无效，1-有效',
    `creatorid`    INT COMMENT '创建者Id',
    `createtime`   DATETIME DEFAULT CURRENT_TIMESTAMP NULL COMMENT '创建时间',
    `updaterid`    INT COMMENT '修改者Id',
    `updatetime`   DATETIME DEFAULT CURRENT_TIMESTAMP NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    CONSTRAINT `ASSET_ALLOCATION_UIX_KEY` UNIQUE (`file_id`, `asset_type`, `column_name`, `market_value`, `remark`)
) COMMENT ='基金资产组合情况';


CREATE TABLE `mo_report_financial_indicators`
(
    `id`                   INT AUTO_INCREMENT                 NOT NULL PRIMARY KEY,
    `file_id`              INT NOT NULL,
    `level`                VARCHAR(50) COMMENT '基金分级',
    `end_date`             INT COMMENT '年度',
    `realized_income`      DECIMAL(22, 6) COMMENT '本期已实现收益',
    `profit`               DECIMAL(22, 6) COMMENT '本期利润',
    `undistributed_profit` DECIMAL(22, 6) COMMENT '期末可供分配利润',
    `fund_asset_size`      DECIMAL(22, 6) COMMENT '期末基金净资产',
    `nav`                  DECIMAL(22, 6) COMMENT '报告期期末单位净值',
    `isvalid`              INT      DEFAULT 1 COMMENT '是否有效：0-无效，1-有效',
    `creatorid`            INT COMMENT '创建者Id',
    `createtime`           DATETIME DEFAULT CURRENT_TIMESTAMP NULL COMMENT '创建时间',
    `updaterid`            INT COMMENT '修改者Id',
    `updatetime`           DATETIME DEFAULT CURRENT_TIMESTAMP NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    CONSTRAINT `UNIQUE_FINANCIAL_INDICATORS` UNIQUE (`file_id`, `level`, `end_date`)
) COMMENT ='报告主要财务指标';

CREATE TABLE `mo_report_invest_industry`
(
    `id`            INT AUTO_INCREMENT                    NOT NULL PRIMARY KEY,
    `file_id`       INT NOT NULL,
    `invest_type`   INT COMMENT '投资地区: 1-境内, 2-港股通',
    `isb_code`      VARCHAR(255) COMMENT '行业标准编码',
    `industry_code` VARCHAR(255) COMMENT '行业分类编码',
    `industry_name` VARCHAR(255) COMMENT '行业分类名称',
    `market_value`  DECIMAL(22, 6) COMMENT '公允价值',
    `ratio`         DECIMAL(22, 6) COMMENT '占基金资产净值的比例',
    `isvalid`       INT      DEFAULT 1 COMMENT '是否有效：0-无效，1-有效',
    `creatorid`     INT COMMENT '创建者Id',
    `createtime`    DATETIME DEFAULT CURRENT_TIMESTAMP NULL COMMENT '创建时间',
    `updaterid`     INT COMMENT '修改者Id',
    `updatetime`    DATETIME DEFAULT CURRENT_TIMESTAMP NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    CONSTRAINT `INVEST_INDUSTRY_UIX_KEY` UNIQUE (`file_id`, `invest_type`, `isb_code`, `industry_code`, `industry_name`)
) COMMENT ='按行业分类的股票投资组合';


CREATE TABLE `mo_report_net_report`
(
    `id`               INT AUTO_INCREMENT                    NOT NULL PRIMARY KEY,
    `file_id`          INT NOT NULL,
    `level`            VARCHAR(20) COMMENT '基金分级',
    `valuation_date`   DATE COMMENT '估值日期',
    `nav`              DECIMAL(22, 6) COMMENT '单位净值',
    `cumulative_nav`   DECIMAL(22, 6) COMMENT '累计净值',
    `end_total_shares` DECIMAL(22, 6) COMMENT '基金份额总额',
    `fund_asset_size`  DECIMAL(22, 6) COMMENT '基金资产净值',
    `isvalid`          INT      DEFAULT 1 COMMENT '是否有效：0-无效，1-有效',
    `creatorid`        INT COMMENT '创建者Id',
    `createtime`       DATETIME DEFAULT CURRENT_TIMESTAMP NULL COMMENT '创建时间',
    `updaterid`        INT COMMENT '修改者Id',
    `updatetime`       DATETIME DEFAULT CURRENT_TIMESTAMP NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    CONSTRAINT `NET_REPORT_UIX_KEY` UNIQUE (`file_id`, `level`)
) COMMENT ='基协报告净值月报';


CREATE TABLE `mo_report_share_change`
(
    `id`                INT AUTO_INCREMENT                    NOT NULL PRIMARY KEY,
    `file_id`           INT NOT NULL,
    `level`             VARCHAR(20) COMMENT '基金分级',
    `init_total_shares` DECIMAL(22, 6) COMMENT '报告期期初基金份额总额',
    `subscription`      DECIMAL(22, 6) COMMENT '报告期期间基金总申购份额',
    `redemption`        DECIMAL(22, 6) COMMENT '减: 报告期期间基金总赎回份额',
    `split`             DECIMAL(22, 6) COMMENT '报告期期间基金拆分变动份额',
    `share_per_asset`   DECIMAL(22, 6) COMMENT '期末基金总份额/期末基金实缴总额',
    `isvalid`           INT      DEFAULT 1 COMMENT '是否有效：0-无效，1-有效',
    `creatorid`         INT COMMENT '创建者Id',
    `createtime`        DATETIME DEFAULT CURRENT_TIMESTAMP NULL COMMENT '创建时间',
    `updaterid`         INT COMMENT '修改者Id',
    `updatetime`        DATETIME DEFAULT CURRENT_TIMESTAMP NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    CONSTRAINT `UIX_KEY` UNIQUE (`file_id`, `level`)
) COMMENT ='基金份额变动情况';


-- 记得改邮箱配置
INSERT INTO rz_market_operate_ppwfund.mo_mailbox_info (id, type, email, password, protocol, server, port, cron,
                                                       open_status, description, isvalid, creatorid, updaterid,
                                                       createtime, updatetime)
VALUES (1, 2, 'xx@simuwang.com', 'xx', 'imap', 'imap.exmail.qq.com', '993', null, 1, null, 1, null, null,
        '2025-02-22 16:03:21', '2025-02-22 16:17:48');


INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('fundName', '基金名称,产品名称', 0, 1, null, null, '2025-02-20 15:54:06', '2025-02-20 15:54:06');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('fundCode', '产品代码,基金代码', 0, 1, null, null, '2025-02-20 15:54:06', '2025-02-20 15:54:06');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('companyName', '管理人,基金管理人', 0, 1, null, null, '2025-02-20 15:54:06', '2025-02-20 15:54:06');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('currency', '币种,货币种类', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('investorName', '投资人,客户名称,投资者名称,投资者姓名,投资者,投资人名称,委托人名称,委托人姓名', 4, 1, null,
        null, '2025-02-20 16:05:35', '2025-03-18 16:07:36');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('investorType', '投资人类别,投资者类型,投资人类型', 4, 1, null, null, '2025-02-20 16:05:35',
        '2025-02-22 09:18:54');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('certificateType', '证件类型,投资者证件类型', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('certificateNumber', '证件号码,投资者证件号码', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('fundAccount', '基金账号,投资者基金账号', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('tradingAccount', '交易账号,投资者交易账号', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('distributor', '销售商,销售机构', 4, 1, null, null, '2025-02-20 16:05:35', '2025-02-20 16:05:35');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('nav', '单位净值,再投资单位净值,期末单位净值', 0, 1, null, null, '2025-02-20 17:17:20', '2025-02-22 09:41:48');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('transactionType', '业务类型,业务代码,业务类别', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-03-11 18:32:56');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('businessReason', '业务类型原因,失败原因,原因', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('status', '确认状态', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('holdingDate', '确认日期,交易确认日期', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('applyDate', '申请日期', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('applyAmount', '申请的金额,申请金额,申请金额(元)', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-02-22 11:04:39');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('applyShare', '申请的份额,申请份额,申请的基金份额数量', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('amount', '确认的金额,确认金额,确认金额(元),业绩报酬计提金额,再投资金额,再投资红利金额,原确认金额', 4, 1, null,
        null, '2025-02-20 18:07:51', '2025-02-22 11:04:39');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('share', '确认的份额,确认份额,扣减份额,再投资份额,持有份额', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-02-28 17:28:30');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('netAmount', '净认购/申购的金额,确认净额', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('fee', '交易费,手续费用,交易费(元),手续费用(元),总费用,总费用(元),再投资费用', 4, 1, null, null,
        '2025-02-20 18:07:51', '2025-02-22 11:04:38');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('confirmationRatio', '确认比例', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('taConfirmationNumber', 'TA确认号,TA确认编号,确认单号,TA确认单号', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-02-22 11:04:38');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('interest', '利息,利息(元)', 4, 1, null, null, '2025-02-20 18:07:51', '2025-02-22 11:04:38');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('interestToFundAssets', '利息转份额,利息归基金资产', 4, 1, null, null, '2025-02-20 18:07:51',
        '2025-02-20 18:08:10');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('applyNo', '申请单号', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('shareBalance', '份额余额', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('shareCategory', '份额类别', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('largeRedemptionType', '巨额赎回方式', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('tradeFee', '交易费,交易费(元)', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('defaultFee', '违约金,违约金(元)', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('performanceFee', '业绩报酬,业绩报酬(元)', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('feeDiscounts', '费用折扣', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('performanceFeeDiscounts', '业绩报酬折扣', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('dividendRegistryDate', '分红登记日', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('dividendPaymentDate', '红利发放日,红利下发日', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('baseShareDividend', '分红基数份额,分红总份额', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('dividendMode', '分红模式', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('unitDividend', '单位分红', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('dividendPerUnit', '每单位分红', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('totalDividendAmount', '红利总额,分红总金额', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('actualCashDividend', '实发现金红利,实际所得现金红利', 4, 1, null, null, '2025-02-22 11:04:39',
        '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('frozenShares', '冻结份额', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('frozenAmount', '冻结金额', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('actualPerformanceAmount', '实际业绩提成金额,实际提成金额', 4, 1, null, null, '2025-02-22 11:04:39',
        '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('actualPerformanceShare', '实际提成份额,实际业绩提成份额', 4, 1, null, null, '2025-02-22 11:04:39',
        '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('rewardMark', '提成或保底标志', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('holdingDays', '持有天数', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('shareRegistryDate', '份额明细注册日期', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('taNumber', 'TA代码', 4, 1, null, null, '2025-02-22 11:04:39', '2025-02-22 11:05:32');
INSERT INTO rz_market_operate_ppwfund.mo_email_field_mapping (code, name, type, isvalid, creatorid, updaterid,
                                                              createtime, updatetime)
VALUES ('dividendType', '分红方式', 4, 1, null, null, '2025-02-22 13:41:57', '2025-02-28 17:30:31');

insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('advisorName', '投资顾问(如有),投资顾问,投资顾问（如有）', 1, null, null, '2024-10-09 14:39:26.209524',
        '2024-10-09 14:39:26.209530', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('custodianName', '基金托管人,基金托管人(如有),基金托管人（如有）', 1, null, null, '2024-10-09 14:39:26.220689',
        '2024-10-09 14:39:26.220695', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('fundManager', '基金经理', 1, null, null, '2024-10-09 14:39:26.223880', '2024-10-09 14:39:26.223885', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('fundStrategyDescription', '投资策略', 1, null, null, '2024-10-09 14:39:26.227017',
        '2024-10-09 14:39:26.227022', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('inceptionDate', '成立日期,基金成立日期', 1, null, null, '2024-10-09 14:39:26.229827',
        '2024-10-09 14:39:26.229832', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('industryTrend', '行业趋势', 1, null, null, '2024-10-09 14:39:26.232763', '2024-10-09 14:39:26.232768', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('investmentObjective', '投资目标', 1, null, null, '2024-10-09 14:39:26.236044', '2024-10-09 14:39:26.236049',
        3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('leverage', '杠杆比例', 1, null, null, '2024-10-09 14:39:26.238833', '2024-10-09 14:39:26.238837', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('leverageNote', '杠杆比例描述', 1, null, null, '2024-10-09 14:39:26.241604', '2024-10-09 14:39:26.241609', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('operationType', '运作方式,基金运作方式', 1, null, null, '2024-10-09 14:39:26.244829',
        '2024-10-09 14:39:26.244834', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('riskReturnDesc', '风险收益特征', 1, null, null, '2024-10-09 14:39:26.248097', '2024-10-09 14:39:26.248102', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('secondaryBenchmark', '业绩比较基准,业绩比较基准(如有),业绩比较基准（如有）', 1, null, null,
        '2024-10-09 14:39:26.250885', '2024-10-09 14:39:26.250889', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('trustName', '基金管理人', 1, null, null, '2024-10-09 14:39:26.253791', '2024-10-09 14:39:26.253796', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('dueDate', '基金到期日期,到期日期', 1, null, null, '2024-10-09 14:39:26.256956', '2024-10-09 14:39:26.256961',
        3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('isReviewed', '信息披露报告是否经托管机构复核', 1, null, null, '2024-10-09 14:39:26.260005',
        '2024-10-09 14:39:26.260012', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('level', '基金分级,分级,分级基金', 1, null, null, '2024-10-09 14:45:04.557020', '2024-10-09 14:45:04.557028',
        3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('valuationDate', '估值日期', 1, null, null, '2024-10-09 14:45:04.560590', '2024-10-09 14:45:04.560595', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('assetShare', '基金份额总额,基金份额总额(份)', 1, null, null, '2024-10-09 17:18:05.053702',
        '2024-10-09 17:18:05.053709', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('assetNet',
        '基金资产净值,资产净值,总资产净值,资产净值元,总净值,规模,子产品基金规模,产品资产净值,基金总净值,基金总净值元,资产净值市值,基金净资产,期末基金净资产,期末基金资产净值',
        1, null, null, '2024-10-09 17:26:00.050101', '2024-10-09 17:26:00.050107', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('undistributedProfit', '期末可供分配利润', 1, null, null, '2024-10-10 14:13:49.377569',
        '2024-10-10 14:13:49.377577', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('realizedIncome', '本期已实现收益', 1, null, null, '2024-10-10 14:13:49.380867', '2024-10-10 14:13:49.380872',
        3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('profit', '本期利润', 1, null, null, '2024-10-10 14:13:49.383880', '2024-10-10 14:13:49.383885', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('yearly', '年度', 1, null, null, '2024-10-10 14:13:49.387311', '2024-10-10 14:13:49.387316', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('initTotalShares', '报告期期初基金份额总额', 1, null, null, '2024-10-10 14:13:49.390663',
        '2024-10-10 14:13:49.390711', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('redemption', '减:报告期期间基金总赎回份额', 1, null, null, '2024-10-10 14:13:49.393809',
        '2024-10-10 14:13:49.393814', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('sharePerAsset', '期末基金总份额/期末基金实缴总额,报告期期末基金份额总额', 1, null, null,
        '2024-10-10 14:13:49.396840', '2024-10-10 14:13:49.396847', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('splitChangeShare', '报告期期间基金拆分变动份额', 1, null, null, '2024-10-10 14:13:49.400323',
        '2024-10-10 14:13:49.400328', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('subscription', '报告期期间基金总申购份额', 1, null, null, '2024-10-10 14:13:49.403337',
        '2024-10-10 14:13:49.403342', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('shareNavRet', '基金份额累计净值增长率', 1, null, null, '2024-10-11 11:04:47.009496',
        '2024-10-11 11:04:47.009504', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('undistributedShareProfit', '期末可供分配基金份额利润', 1, null, null, '2024-10-11 11:04:47.013229',
        '2024-10-11 11:04:47.013234', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('fundName', '基金名称,产品名称,产品全称,基金产品,名称,资产名称,账户名称,账套名称,子产品名称,项目名称', 1, null,
        null, '2024-10-15 15:57:55.104770', '2024-10-15 15:57:55.104777', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('registerNumber',
        '备案编码,协会备案编号,协会备案编码,协会备案代码,基金协会代码,产品编码,产品代码,产品备案号,产品备案编码,基金代码,基金编码,资产代码,代码,子产品代码,协会代码,基金编号',
        1, null, null, '2024-10-15 15:58:25.787125', '2024-10-15 15:58:25.787133', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('nav',
        '单位净值,单位净值元,当日单位净值,今日单位净值,计提前单位净值,实际净值,基金净值,资产份额净值,资产份额净值元,份额净值,基金份额净值,基金份额净值元,基金单位净值,虚拟净值提取前单位净值,报告期期末单位净值,虚拟计提前单位净值,试算前单位净值,期末单位净值,子产品单位净值,产品单位净值,本级别单位净值,委托资产份额净值元,期末基金份额净值',
        1, null, null, '2024-10-15 15:58:42.997144', '2024-10-15 15:58:42.997154', 3);
insert into mo_email_field_mapping (code, name, isvalid, creatorid, updaterid, createtime, updatetime, type)
values ('cumulativeNavWithdrawal',
        '累计净值,累计净值元,累计单位净值,累计单位净值元,虚拟计提前累计单位净值,虚拟计提前累计净值,虚拟净值提取前累计单位净值,基金份额累计净值,计提前累计净值,报告期期末单位累计净值,实际累计净值,资产份额累计净值,资产份额累计净值元,期末累计净值,当日累计净值,基金份额累计单位净值,基金累计单位净值,产品累计单位净值,累计后单位净值,单位累计净值,基金累计净值,试算前累计单位净值,子产品累计净值,本级别累计单位净值,委托资产份额累计净值元,基金份额累计净值元,份额累计净值',
        1, null, null, '2024-10-15 15:59:44.492086', '2024-10-15 15:59:44.492094', 3);
