package com.smppw.modaq.domain.entity.report;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:47
 * @description 报告基金基本信息
 */
@Setter
@Getter
@TableName("mo_report_fund_info")
public class ReportFundInfoDO extends BaseReportDO {
    /**
     * 基金的名称
     */
    private String fundName;

    /**
     * 基金的唯一识别代码
     */
    private String fundCode;

    /**
     * 基金管理人的名称
     */
    private String companyName;

    /**
     * 基金交易使用的货币种类
     */
    private String currency;

    /**
     * 投资顾问
     */
    private String advisorName;
    /**
     * 基金托管人
     */
    private String custodianName;
    /**
     * 基金经理描述
     */
    private String fundManager;
    /**
     * 投资策略
     */
    private String fundStrategyDescription;
    /**
     * 基金成立日期
     */
    private Date inceptionDate;
    /**
     * 行业趋势
     */
    private String industryTrend;
    /**
     * 投资目标
     */
    private String investmentObjective;
    /**
     * 杠杆比例
     */
    private BigDecimal leverage;
    /**
     * 杠杆比例描述
     */
    private String leverageNote;
    /**
     * 基金运作方式
     */
    private String operationType;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 风险收益特征
     */
    private String riskReturnDesc;
    /**
     * 业绩比较基准
     */
    private String secondaryBenchmark;
    /**
     * 基金到期日期
     */
    private Date dueDate;
    /**
     * 信息披露报告是否经托管机构复核
     */
    @TableField(value = "reviewed")
    private Integer reviewed;
}
