package com.smppw.modaq;

import cn.hutool.core.date.DateUtil;
import com.smppw.modaq.application.service.EmailParseApiService;
import com.smppw.modaq.common.conts.DateConst;
import com.smppw.modaq.domain.service.EmailParseService;
import com.smppw.modaq.domain.dto.MailboxInfoDTO;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.Date;

@SpringBootTest(classes = MoDaqApplication.class)
public class MoDaqApplicationTests {

    @Autowired
    private EmailParseService emailParseService;

    @Autowired
    private EmailParseApiService emailParseApiService;

    @Test
    public void test() {
        MailboxInfoDTO emailInfoDTO = this.buildMailbox("", "");
        Date startDate = DateUtil.parse("2024-10-10 15:00:00", DateConst.YYYY_MM_DD_HH_MM_SS);
        Date endDate = DateUtil.parse("2024-10-10 16:40:00", DateConst.YYYY_MM_DD_HH_MM_SS);
        try {
            emailParseService.parseEmail(emailInfoDTO, startDate, endDate);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void reportTest() {
        MailboxInfoDTO emailInfoDTO = this.buildMailbox("xx@simuwang.com", "**");
        Date startDate = DateUtil.parse("2025-04-15 14:40:00", DateConst.YYYY_MM_DD_HH_MM_SS);
        Date endDate = DateUtil.parse("2025-04-15 19:42:05", DateConst.YYYY_MM_DD_HH_MM_SS);
        try {
            emailParseService.parseEmail(emailInfoDTO, startDate, endDate);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void testReparseEmail() {
        emailParseApiService.reparseEmail(23);
    }


    private MailboxInfoDTO buildMailbox(String account, String pwd) {
        MailboxInfoDTO emailInfoDTO = new MailboxInfoDTO();
        emailInfoDTO.setUserId(1);
        emailInfoDTO.setAccount(account);
        emailInfoDTO.setPassword(pwd);
        emailInfoDTO.setHost("imap.exmail.qq.com");
        emailInfoDTO.setPort("993");
        emailInfoDTO.setProtocol("imap");
        return emailInfoDTO;
    }
}
